
TYPO3.TypoScript - Bug # 56891

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2014-03-13 Assigned To:
Updated: 2014-04-01 Due date:
Subject: UriBuilder calls undefined method $this->getTsRuntime()
Description

UriBuilder calls undefined method $this->getTsRuntime(). This seems to be a leftover from the time it still extended the
TemplateImeplementation (1.0)

Associated revisions
Revision cb6ee891 - 2014-03-15 11:01 - Rens Admiraal

[BUGFIX] TYPO3.TypoScript:UriBuilder uses undefined method

The TYPO3.TypoScript:UriBuilder objects uses getTsRuntime() internally.

This is probably a leftover because it first extended the
TemplateImplementation object. This change replaces the call
by accessing the tsRuntime property directly.

Change-Id: I750ad28f8a459a6f039d9dc23f66ff42f8ee5210
Releases: master, 1.1
Fixes: #56891
Reviewed-on: https://review.typo3.org/28369
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Robert Lemke
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision aa8da49d - 2014-04-01 15:02 - Rens Admiraal

[BUGFIX] TYPO3.TypoScript:UriBuilder uses undefined method

The TYPO3.TypoScript:UriBuilder objects uses getTsRuntime() internally.

This is probably a leftover because it first extended the
TemplateImplementation object. This change replaces the call
by accessing the tsRuntime property directly.

Change-Id: I750ad28f8a459a6f039d9dc23f66ff42f8ee5210
Releases: master, 1.1
Fixes: #56891
Reviewed-on: https://review.typo3.org/28411
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller
History
#1 - 2014-03-13 22:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/28369

#2 - 2014-03-13 23:28 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/28369

#3 - 2014-03-13 23:29 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/28369

#4 - 2014-03-15 11:02 - Gerrit Code Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/28411

#5 - 2014-03-15 11:37 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cb6ee8913393c97ef2fabe63a4e7cf6476c3f383.

#6 - 2014-04-01 15:01 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 1.1 of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/28411

#7 - 2014-04-01 15:44 - Rens Admiraal
- Status changed from Under Review to Resolved

Applied in changeset commit:aa8da49d2e3e67ba8a37fe73ff7b31c895d30314.
